Package net.commoble.exmachina.api.content

# Enum Class DefaultTransmitter

java.lang.Object
java.lang.Enum<DefaultTransmitter>
net.commoble.exmachina.api.content.DefaultTransmitter

All Implemented Interfaces:
  `Serializable`, `Comparable<DefaultTransmitter>`, `Constable`, `SignalTransmitter`

public enum DefaultTransmitter extends Enum<DefaultTransmitter> implements SignalTransmitter
Default SignalTransmitter used for blocks that have none assigned to them. No-ops.

    {
            "type": "exmachina:default"
    }

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INSTANCE`
Singleton instance of the DefaultTransmitter

## Field Summary

Fields
Modifier and Type
Field
Description
`static final com.mojang.serialization.MapCodec<DefaultTransmitter>`
`CODEC`
{"type": "exmachina:default"}
`static final net.minecraft.resources.ResourceKey<com.mojang.serialization.MapCodec<? extends SignalTransmitter>>`
`KEY`
exmachina/signal_transmitter_type / exmachina:default

## Method Summary

Modifier and Type
Method
Description
`com.mojang.serialization.MapCodec<? extends SignalTransmitter>`
`codec()`
Returns the sub-codec for this transmitter type registered via `ExMachinaRegistries.SIGNAL_TRANSMITTER_TYPE`
`Map<Channel,TransmissionNode>`
`getTransmissionNodes(net.minecraft.world.level.BlockGetter level, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state, net.minecraft.core.Direction face)`
Defines the TransmissionNode at a given pos/face/channel
`static DefaultTransmitter`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DefaultTransmitter[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INSTANCE

public static final DefaultTransmitter INSTANCE
Singleton instance of the DefaultTransmitter

## Field Details

### KEY

public static final net.minecraft.resources.ResourceKey<com.mojang.serialization.MapCodec<? extends SignalTransmitter>> KEY
exmachina/signal_transmitter_type / exmachina:default

### CODEC

public static final com.mojang.serialization.MapCodec<DefaultTransmitter> CODEC

    {"type": "exmachina:default"}

## Method Details

### values

public static DefaultTransmitter[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DefaultTransmitter valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### codec

public com.mojang.serialization.MapCodec<? extends SignalTransmitter> codec()
Description copied from interface: `SignalTransmitter`
Returns the sub-codec for this transmitter type registered via `ExMachinaRegistries.SIGNAL_TRANSMITTER_TYPE`

Specified by:
  `codec` in interface `SignalTransmitter`
Returns:
  sub-codec

### getTransmissionNodes

public Map<Channel,TransmissionNode> getTransmissionNodes(net.minecraft.world.level.BlockGetter level, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state, net.minecraft.core.Direction face)
Description copied from interface: `SignalTransmitter`
Defines the TransmissionNode at a given pos/face/channel

Specified by:
  `getTransmissionNodes` in interface `SignalTransmitter`
Parameters:
  `level` - BlockGetter where the wire graph is
  `pos` - BlockPos where this SignalTransmitter is
  `state` - BlockState of this SignalTransmitter's block
  `face` - internal face of this blockpos, e.g. down -> the bottom of pos
Returns:
  Map describing the TransmissionNode on a given channel for the given context